/*
 * Copyright (c) 2006 Josef Cejka
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * - Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 * - The name of the author may not be used to endorse or promote products
 *   derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @addtogroup kbdgen
 * @{
 */
/**
 * @file
 */

#ifndef _KBD_KEYS_H_
#define _KBD_KEYS_H_

#define KBD_PUSHCHAR    1024
#define KBD_MS_LEFT     1025
#define KBD_MS_RIGHT    1026
#define KBD_MS_MIDDLE   1027
#define KBD_MS_MOVE     1028

#define KBD_KEY_F1	0x3b
#define KBD_KEY_F2	0x3c
#define KBD_KEY_F3	0x3d
#define KBD_KEY_F4	0x3e
#define KBD_KEY_F5	0x3f
#define KBD_KEY_F6	0x40
#define KBD_KEY_F7	0x41
#define KBD_KEY_F8	0x42
#define KBD_KEY_F9	0x43
#define KBD_KEY_F10	0x44
#define KBD_KEY_F11	0x45
#define KBD_KEY_F12	0x46

#endif

/** @}
*/
